# synfig::Surface Class Reference

Bitmap Surface. More...

`#include <surface.h>`

List of all members.

## Public Types

typedef Color | value_type

## Public Member Functions

| Surface ()
| Surface (const size_type::value_type &w, const size_type::value_type &h)
| Surface (const size_type &s)
template<typename _pen>
| Surface (const _pen &_begin, const _pen &_end)
template<class _pen>
void | blit_to (_pen &pen)
template<class _pen>
void | blit_to (_pen &DEST_PEN, int x, int y, int w, int h)
void | clear ()
void | blit_to (alpha_pen &DEST_PEN, int x, int y, int w, int h)

## Classes

class | alpha_pen
| Alpha-Blending Pen. More...

## Detailed Description

Bitmap Surface.

Todo:
  writeme

## Member Typedef Documentation

typedef Color synfig::Surface::value_type

## Constructor & Destructor Documentation

synfig::Surface::Surface | ( |  | ) | `[inline]`

synfig::Surface::Surface | ( | const size_type::value_type & | w,
|  | const size_type::value_type & | h |
| ) |  |  | `[inline]`

synfig::Surface::Surface | ( | const size_type & | s | ) | `[inline]`

template<typename _pen>

synfig::Surface::Surface | ( | const _pen & | _begin,
|  | const _pen & | _end |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class _pen>

void synfig::Surface::blit_to | ( | _pen & | pen | ) | `[inline]`

Referenced by Rectangle::accelerated_render(), RadialBlur::accelerated_render(), Plant::accelerated_render(), synfig::Layer_Shape::accelerated_render(), synfig::Layer_PasteCanvas::accelerated_render(), synfig::Layer_Duplicate::accelerated_render(), synfig::Context::accelerated_render(), and Blur_Layer::accelerated_render().

template<class _pen>

void synfig::Surface::blit_to | ( | _pen & | DEST_PEN,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  | `[inline]`

void synfig::Surface::clear | ( |  | ) |

Referenced by Warp::accelerated_render(), synfig::Layer_Stretch::accelerated_render(), synfig::Layer_SphereDistort::accelerated_render(), Plant::accelerated_render(), synfig::Layer_Shape::accelerated_render(), synfig::Layer_PasteCanvas::accelerated_render(), synfig::Layer_MotionBlur::accelerated_render(), synfig::Layer_Duplicate::accelerated_render(), CurveWarp::accelerated_render(), synfig::Context::accelerated_render(), gif::init(), and Import::set_param().

void synfig::Surface::blit_to | ( | alpha_pen & | DEST_PEN,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h |
| ) |  |  |

References synfig::Color::BLEND_COMPOSITE, synfig::Color::BLEND_STRAIGHT, f, and synfig::Surface::alpha_pen::get_blend_method().

The documentation for this class was generated from the following files:

- surface.h
- surface.cpp